{
  "name": "gx-registrationnumber-notary",
  "version": "2.9.0",
  "description": "The Gaia-X Registration Number Notary API is a tool used to return a VC once all registrationNumber given by the participant are successfully checked by the API.",
  "repository": {
    "url": "https://gitlab.com/gaia-x/lab/compliance/gaia-x-notary-registrationnumber"
  },
  "bugs": {
    "url": "https://gitlab.com/gaia-x/lab/compliance/gaia-x-notary-registrationnumber/-/issues"
  },
  "author": "",
  "private": true,
  "license": "EPL-2.0",
  "scripts": {
    "build": "nest build",
    "format": "prettier --write \"src/**/*.ts\" \"src/**/*.spec.ts\"",
    "start": "nest start",
    "start:dev": "nest start --watch",
    "start:debug": "nest start --debug --watch",
    "start:prod": "node dist/src/main",
    "lint": "eslint \"{src,apps,libs,test}/**/*.ts\" --fix",
    "prettier": "prettier --config .prettierrc --write  \"{src,apps,libs,test}/**/*.ts\"",
    "test": "cross-env NODE_OPTIONS=\"$NODE_OPTIONS --experimental-vm-modules\" jest",
    "test:watch": "cross-env NODE_OPTIONS=\"$NODE_OPTIONS --experimental-vm-modules\" jest --watch",
    "test:ci": "cross-env NODE_OPTIONS=\"$NODE_OPTIONS --experimental-vm-modules\" jest --ci --coverage",
    "test:debug": "node --inspect-brk -r tsconfig-paths/register -r ts-node/register node_modules/.bin/jest --runInBand",
    "test:e2e": "cross-env NODE_OPTIONS=\"$NODE_OPTIONS --experimental-vm-modules\" jest --config ./jest-e2e.json",
    "test:e2e:ci": "cross-env NODE_OPTIONS=\"$NODE_OPTIONS --experimental-vm-modules\" jest --ci --coverage --config ./jest-e2e.json ",
    "prepare": "husky install",
    "setup-env": "npx ts-node env-setup.ts"
  },
  "dependencies": {
    "@fidm/x509": "^1.2.1",
    "@gaia-x/oidc4vc": "^1.2.0",
    "@nestjs/axios": "^3.0.3",
    "@nestjs/cache-manager": "^2.2.2",
    "@nestjs/common": "^10.4.5",
    "@nestjs/config": "^3.2.3",
    "@nestjs/core": "^10.4.5",
    "@nestjs/platform-express": "^10.4.5",
    "@nestjs/schedule": "^4.1.1",
    "@nestjs/swagger": "^7.4.2",
    "axios": "1.7.8",
    "cache-manager": "^5.3.1",
    "jose": "^5.1.1",
    "jsonld": "^8.3.2",
    "luxon": "^3.4.4",
    "node-forge": "^1.3.1",
    "reflect-metadata": "^0.1.13",
    "rxjs": "^7.8.1",
    "xmldom-ts": "^0.3.1",
    "xpath-ts": "^1.3.13"
  },
  "devDependencies": {
    "@commitlint/cli": "^18.4.3",
    "@commitlint/config-conventional": "^18.4.3",
    "@egavard/semantic-release-slack": "^1.0.9",
    "@nestjs/cli": "^10.0.0",
    "@nestjs/schematics": "^10.0.0",
    "@nestjs/testing": "^10.2.10",
    "@saithodev/semantic-release-backmerge": "^4.0.1",
    "@semantic-release/changelog": "^6.0.3",
    "@semantic-release/git": "^10.0.1",
    "@semantic-release/gitlab": "^13.2.4",
    "@trivago/prettier-plugin-sort-imports": "^4.3.0",
    "@types/express": "^5.0.0",
    "@types/jest": "^29.5.2",
    "@types/luxon": "^3.3.5",
    "@types/node": "^20.3.1",
    "@types/node-forge": "^1.3.10",
    "@types/uuid": "^9.0.7",
    "@typescript-eslint/eslint-plugin": "^6.0.0",
    "@typescript-eslint/parser": "^6.0.0",
    "axios-mock-adapter": "^1.22.0",
    "cross-env": "^7.0.3",
    "eslint": "^8.42.0",
    "eslint-config-prettier": "^9.0.0",
    "eslint-plugin-prettier": "^5.0.0",
    "husky": "^8.0.0",
    "jest": "^29.5.0",
    "node-mocks-http": "^1.16.1",
    "prettier": "3.1.0",
    "semantic-release": "^24.2.3",
    "source-map-support": "^0.5.21",
    "supertest": "^6.3.3",
    "ts-jest": "^29.1.0",
    "ts-loader": "^9.4.3",
    "ts-node": "^10.9.1",
    "tsconfig-paths": "^4.2.0",
    "typescript": "^5.1.3"
  },
  "jest": {
    "moduleFileExtensions": [
      "js",
      "json",
      "ts"
    ],
    "rootDir": "src",
    "testRegex": ".*\\.spec\\.ts$",
    "transform": {
      "^.+\\.(t|j)s$": "ts-jest"
    },
    "collectCoverageFrom": [
      "**/*.(t|j)s",
      "!**/*.dto.(t|j)s",
      "!**/*.module.(t|j)s",
      "!**/*.spec.(t|j)s",
      "!**/*.e2e-spec.(t|j)s",
      "!**/node_modules/**"
    ],
    "coverageDirectory": "../coverage/unit",
    "coverageReporters": [
      "lcov",
      "text",
      "cobertura"
    ],
    "testEnvironment": "node"
  }
}
